// oasis_b1.shader

//////////
//COMMON//
//////////

textures/common/lmterrain_sand_marks
{
	qer_editorimage textures/common/terrain_sand.tga
	q3map_shadeangle 45
	q3map_terrain
	surfaceparm gravelsteps
	surfaceparm nodraw
}

textures/common/clipweap_metal
{
	qer_editorimage textures/common/clipweap.tga
	qer_trans 0.3
	surfaceparm metalsteps
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
}

textures/common/clipweap_wood
{
	qer_editorimage textures/common/clipweap.tga
	qer_trans 0.3
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm woodsteps
}


///////////////
//MP_SIWA/////
/////////////

// modified to support lightmapping in RTCW
// https://web.archive.org/web/20100220213251/http://www.nibsworld.com/rtcw/tutorial_lightmapped_terrain.shtml

textures/mp_siwa/sky
{
	qer_editorimage textures/skies_sd/nero_bluelight.tga
	q3map_lightimage textures/skies_sd/siwa_clouds.tga
	q3map_skylight 75 3
	q3map_sun 0.75 0.70 0.6 135 199 49
	skyparms - 200 -
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	{
		map textures/skies_sd/siwa_clouds.tga
		tcMod scale 3 3
		tcMod scroll -0.001 -0.0025
	}
}

textures/mp_siwa/lmterrain_base
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 179
}

textures/mp_siwa/lmterrain_0
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity 
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity		 
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_3
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_disturb_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_4
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_desert_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/rock_edged_smooth.tga
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_gravels_bright.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_dirt_medium.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to1
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to2
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to3
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to4
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_0to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_wave_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to2
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to3
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to4
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_1to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_sand_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2to3
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2to4
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2to5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_2to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_patchy.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_3to4
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_disturb_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_3to5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_disturb_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_3to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_disturb_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_3to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_disturb_desert.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_4to5
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_desert_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_4to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_desert_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_4to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/grass_desert_flat.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_5to6
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/rock_edged_smooth.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_5to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/rock_edged_smooth.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/lmterrain_6to7
{
	q3map_baseshader textures/mp_siwa/lmterrain_base
	q3map_lightimage textures/desert_sd/sand_gravels_bright.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity	
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/mp_siwa/sand_dirt
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/desert_sd/sand_dirt_medium.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen vertex
		blendFunc filter
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}


textures/mp_siwa/rock_edged
{
	q3map_nonplanar
	q3map_shadeangle 120
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	//surfaceparm landmine
	surfaceparm gravelsteps
	{
		map $lightmap
		rgbGen vertex
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen vertex
		blendFunc filter
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}


/////////////////
///MAPBOJECTS///
///////////////

models/mapobjects/props_sd/vase
{
	surfaceparm nomarks
    {
        map models/mapobjects/props_sd/vase.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/props/base_lamp_1_oasis
{
	qer_editorimage textures/props/base_lamp.tga
        surfaceparm nomarks
        surfaceparm pointlight
 	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/props/base_lamp.tga
		rgbGen identity
	}q
}

textures/props/fwindow1_1_oasis
{
	qer_editorimage textures/props/fwindow1.tga
        surfaceparm nomarks
        surfaceparm pointlight
 	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/props/fwindow1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen lightingdiffuse
	}
}

models/mapobjects/xlab_props/light_1_oasis
{
	qer_editorimage models/mapobjects/xlab_props/light.tga
      surfaceparm nomarks
      surfaceparm alphashadow
 	surfaceparm nolightmap
	surfaceparm trans
	{
		map models/mapobjects/xlab_props/light.tga
		rgbGen identity
	}
}

models/mapobjects/tanks_sd/jagdpanther_full
{
	qer_editorimage models/mapobjects/tanks_sd/jagdpanther_full.tga
	{
		map models/mapobjects/tanks_sd/jagdpanther_full.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/pump_sd/bottom
{
	{
	         	map textures/effects/envmap_slate_90.tga
	         	rgbGen lightingdiffuse
	         	tcmod scale 1.5 1.5
	         	tcGen environment
	}
	{
	         	map models/mapobjects/pump_sd/bottom.tga
	         	blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	         	rgbGen lightingdiffuse
	}
		
}

models/mapobjects/pump_sd/top
{
	{
			map textures/effects/envmap_slate_90.tga
	         	rgbGen lightingdiffuse
	         	tcmod scale 1.5 1.5
	         	tcGen environment
	}
	{
	         	map models/mapobjects/pump_sd/top.tga
	         	blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	         	rgbGen lightingdiffuse
	}
		
}

models/mapobjects/props_sd/bunk_sd1
{
	qer_editorimage textures/chat/bedlinen_c02.tga
	surfaceparm nomarks
    {
        map textures/chat/bedlinen_c02.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/bunk_sd2
{
	qer_editorimage models/mapobjects/furniture/wood1.tga
	surfaceparm nomarks
    {
        map models/mapobjects/furniture/wood1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/bunk_sd3
{
	qer_editorimage textures/chat/bedlinenpillow_c02.tga
	surfaceparm nomarks
    {
        map textures/chat/bedlinenpillow_c02.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/basket
{
	surfaceparm nomarks
    {
        map models/mapobjects/props_sd/basket.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/lid
{
	surfaceparm nomarks
    {
        map models/mapobjects/props_sd/lid.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/sandlevel
{
	qer_editorimage textures/desert_sd/sand_disturb_desert.tga
    {
        map textures/desert_sd/sand_disturb_desert.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/props_sd/basketsand
{
	qer_editorimage textures/props_sd/basketsand.tga
    {
        map textures/props_sd/basketsand.tga
    }
}

models/mapobjects/tree_desert_sd/floorpalmleaf
{
	qer_editorimage models/mapobjects/tree_desert_sd/palm_leaf1.tga
	qer_alphafunc gequal 0.5
	cull twosided
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaf1.tga
        alphaFunc GE128
        //rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaf1
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 15 sin 0 1 0 0.25
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaf1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaves
{
	qer_alphafunc gequal 0.5
	cull twosided
	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaves.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tree_desert_sd/palm_leaves2
{
	cull twosided
	deformVertexes wave 194 sin 0 1 0 .4
	deformVertexes wave 194 sin 0 2 0 .1
	deformVertexes wave 30 sin 0 1 0 .3
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	nopicmip
    {
        map models/mapobjects/tree_desert_sd/palm_leaves2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/bush_desert1
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/bush_desert1.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
    {
        map models/mapobjects/plants_sd/bush_desert1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/bush_desert2
{ 
     qer_alphafunc greater 0.5 
     qer_editorimage models/mapobjects/plants_sd/bush_desert2.tga 
     cull disable 
     q3map_bounceScale 0.25
     surfaceparm alphashadow 
     surfaceparm nomarks 
     surfaceparm pointlight 
     surfaceparm trans 
     nopicmip 
    {
        map models/mapobjects/plants_sd/bush_desert2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/catail1
{
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/catail1.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	nopicmip
    {
        map models/mapobjects/plants_sd/catail1.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/grass_dry3
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/grass_dry3.tga
	cull disable
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
    {
        map models/mapobjects/plants_sd/grass_dry3.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/plants_sd/catail2
{
	nopicmip
	qer_alphafunc greater 0.5
	qer_editorimage models/mapobjects/plants_sd/catail2.tga
	cull disable
	nopicmip
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nomarks
	deformVertexes wave 15 sin 0 1 0 0.25
    {
        map models/mapobjects/plants_sd/catail2.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/tanks_sd/churchill_flat_oasis
{
	{
		map models/mapobjects/tanks_sd/churchill_flat_oasis.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/bits_r
{
	qer_alphafunc gequal 0.5
	cull disable
	{
		map models/mapobjects/tanks_sd/tracks.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/bits_l
{
	qer_alphafunc gequal 0.5
	cull disable
	{
		map models/mapobjects/tanks_sd/tracks.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/wheel_l
{
	qer_alphafunc gequal 0.5
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/wheel_r
{
	qer_alphafunc gequal 0.5
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_wheels_right
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/tanks_sd/wheel2_a.tga
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel2_a.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_wheels_left
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/tanks_sd/wheel2_a.tga
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel2_a.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_tracks_left
{
	qer_editorimage models/mapobjects/tanks_sd/tracks_b.tga
	{
		map models/mapobjects/tanks_sd/tracks_b.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_tracks_right
{
	qer_editorimage models/mapobjects/tanks_sd/tracks_b.tga
	{
		map models/mapobjects/tanks_sd/tracks_b.tga
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_cogs_left
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/tanks_sd/wheel_a.tga
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel_a.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jag_cogs_right
{
	qer_alphafunc gequal 0.5
	qer_editorimage models/mapobjects/tanks_sd/wheel_a.tga
	cull disable
	{
		clampmap models/mapobjects/tanks_sd/wheel_a.tga
		alphaFunc GE128
		rgbGen lightingDiffuse
	}
}

models/mapobjects/tanks_sd/jagdpanther_additions_desert
{
	{
		map models/mapobjects/tanks_sd/jagdpanther_additions_desert.tga
		rgbGen lightingDiffuse
	}
}

models/weapons2/machinegun/f_machinegun
{
	cull disable
	nofog
	sort additive
	{
		animMap 2 models/weapons2/machinegun/f_machinegun.tga models/weapons2/machinegun/f_machinegun1.tga
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/pak75_sd/pak75-a
{
	qer_alphafunc gequal 0.5
	cull none
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
    {
        map models/mapobjects/pak75_sd/pak75-a.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

models/mapobjects/blitz_sd/blitz_sd_arches
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	cull twosided
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		rgbgen identity
	}
}

models/mapobjects/blitz_sd/blitz_sd_body
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		rgbgen identity
	}
}

models/mapobjects/blitz_sd/blitz_sd_windows
{
	qer_editorimage models/mapobjects/blitz_sd/blitz_sd.tga
	{
		map textures/effects/envmap_slate.tga
		rgbGen lightingDiffuse
		tcGen environment
	}
	{
		map models/mapobjects/blitz_sd/blitz_sd.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
}

models/mapobjects/siwa_tunnels_sd/siwa_tunnel
{
	qer_editorimage textures/desert_sd/rock_edged_smooth.tga
	q3map_clipModel
	q3map_forcemeta
	q3map_lightmapSampleOffset 8.0
	q3map_nonplanar
	q3map_normalimage models/mapobjects/siwa_tunnels_sd/siwa_nm.tga
	q3map_shadeangle 180
	surfaceparm pointlight
	{
		map textures/desert_sd/rock_edged_smooth.tga
		//blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

//////
//SFX//
///////


textures/sfx/wilsflame1
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_surfacelight 1482
	cull none
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	surfaceparm trans
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6
	}
}

////////////////////////
//EGYPT_PROPS_SD///////////
////////////////////////

textures/egypt_props_sd/siwa_canvas1
{
	cull disable
	deformVertexes wave 100 sin 0 2 0 .3
	deformVertexes wave 30 sin 0 2 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64
	{
		map textures/egypt_props_sd/siwa_canvas1.tga
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_canvas2
{
	qer_editorimage textures/egypt_props_sd/siwa_canvas1.tga
	cull disable
	deformVertexes wave 100 sin 0 1 0 .4
	deformVertexes wave 30 sin 0 1 0 .1
	nofog
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	tessSize 64
	{
		map textures/egypt_props_sd/siwa_canvas1.tga
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet1
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet1anim
{
	qer_editorimage textures/egypt_props_sd/siwa_carpet1.tga
	deformVertexes wave 30 sin 0 3 0 0.2
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	{
		map textures/egypt_props_sd/siwa_carpet1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet2
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet3
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet3anim
{
	qer_editorimage textures/egypt_props_sd/siwa_carpet3.tga
	deformVertexes wave 30 sin 0 3 0 0.2
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	tessSize 64
	{
		map textures/egypt_props_sd/siwa_carpet3.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet4
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet4.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

textures/egypt_props_sd/siwa_carpet5
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/egypt_props_sd/siwa_carpet5.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen vertex
	}
}

////////////////////
//LIQUIDS_SD///
/////////////////

textures/liquids_sd/siwa_water
{
	nocompress
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nomarks
	cull disable
	nopicmip
	nofog

	waterfogvars ( 0.11 0.13 0.15 ) 0.2
		{ 
		fog on
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		depthWrite
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25 
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
	}
	
	{ 
		fog on
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
	}
	{ 
		fog on
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
	}
}

textures/liquids_sd/siwa_water_2
{
	qer_editorimage textures/liquids_sd/siwa_water.tga
	qer_trans .5
	q3map_globaltexture
	cull disable
	nocompress
	nofog
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	waterfogvars ( 0.11 0.13 0.15 ) 0.2
	nopicmip
	{
		map textures/liquids_sd/siwa_water.tga
		blendFunc blend
		alphaFunc GE128
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod scroll -.02 .001
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.3 0.02 0 0.25
		tcmod scale 0.01 0.01
		tcmod scroll -.001 -.0002
		fog on
	}
	{
		map textures/liquids_sd/seawall_ripple1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.1 0.03 0 0.4
		tcmod scale 1 1
		tcmod scroll -.005 -.001
		fog on
	}
	{
		map textures/liquids_sd/siwa_shimshim1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.4 0.02 0 0.3
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .005 -.001
		fog on
	}
}

textures/liquids_sd/siwa_waternodraw
{
	qer_editorimage textures/liquids_sd/siwa_waternodraw.tga
	qer_trans .75
	surfaceparm nodraw
	surfaceparm water
}


//////////////
////ALPHA////
////////////


// This is more or less similiar to clipmissile
// The other five faces of the brush should be clipmissle
textures/alpha/mesh_c02_clipmissle
{
	qer_trans 0.85
	qer_editorimage textures/alpha/mesh_c02.tga
	cull disable
	nomipmaps
	nopicmip

	surfaceparm clipmissile
	surfaceparm nomarks
	surfaceparm alphashadow
	surfaceparm playerclip
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	
	{
		map textures/alpha/mesh_c02.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
}

//////////////
///PROPS_SD///
////////////////

textures/props_sd/wires
{

	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/props_sd/wires.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/props_sd/wires01
{

	cull disable
	nomipmaps
	nopicmip
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm pointlight
	surfaceparm trans
	surfaceparm nonsolid
	{
		map textures/props_sd/wires01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}


//////////////
///SKIES_SD///
/////////////

textures/skies_sd/sd_siwasky
{
	nocompress
	qer_editorimage textures/skies_sd/nero_bluelight.tga
	q3map_lightimage textures/skies_sd/siwa_clouds.tga
	
	q3map_sun 0.75 0.70 0.6 135 199 49
	q3map_skylight 75 3
	sunshader textures/skies_sd/siwasunbright
	
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm sky
	
	skyparms textures/skies_sd/wurzburg_env/sky 512 -
 
	{
		fog off
		clampmap textures/skies_sd/siwa_mask.tga
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting

	}
}

textures/skies_sd/siwasunbright
{
	nocompress
	cull none
	q3map_nofog
	
	{
		map textures/skies_sd/siwasun.tga
		blendFunc blend
		//blendFunc GL_SRC_ALPHA GL_ONE
		//rgbGen const ( 1.0 0.95 0.9 )
		rgbGen identityLighting
		//rgbGen identity
	}
}

/////////////////////
///EGYPT_WALLS_SD////
/////////////////////

textures/egypt_walls_sd/stucco01_decor01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco01_decor01.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco01_phong
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco01.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco02
{
	qer_editorimage textures/egypt_walls_sd/stucco02.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/egypt_walls_sd/stucco02.tga
		blendFunc filter
	}
}

textures/egypt_walls_sd/stucco02_04blend
{
	q3map_nonplanar
	q3map_shadeangle 30
    {
        map textures/egypt_walls_sd/stucco02_04blend.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco03
{
	q3map_nonplanar
	q3map_shadeangle 60
    {
        map textures/egypt_walls_sd/stucco03.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco04
{
	q3map_nonplanar
	q3map_shadeangle 60
    {
        map textures/egypt_walls_sd/stucco04.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco07a
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco07a.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco07a_nonsolid
{
	surfaceparm nonsolid
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco07a.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco07b
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco07b.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco07c
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco07c.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco07d
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco07d.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco08a
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco08a.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco08b
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco08b.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco08c
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco08c.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco08d
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco08d.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco08e
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco08e.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09a
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09a.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09b
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09b.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09c
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09c.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09d
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09d.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09e
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09e.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/stucco09f
{
	q3map_nonplanar
	q3map_shadeangle 90
    {
        map textures/egypt_walls_sd/stucco09f.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/wood_c05
{
	surfaceparm woodsteps
    {
        map textures/egypt_walls_sd/wood_c05.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/wood_c06
{
	surfaceparm woodsteps
    {
        map textures/egypt_walls_sd/wood_c06.tga
        alphaFunc GE128
        rgbGen vertex
    }
}

textures/egypt_walls_sd/wood_test
{
	surfaceparm woodsteps
    {
        map textures/egypt_walls_sd/wood_test.tga
        alphaFunc GE128
        rgbGen vertex
    }
}